# Enum Class SyResizeBehaviour

java.lang.Object
java.lang.Enum<SyResizeBehaviour>
com.io7m.jsycamore.api.components.SyResizeBehaviour

All Implemented Interfaces:
  `Serializable, Comparable<SyResizeBehaviour>, Constable`

public enum SyResizeBehaviour extends Enum<SyResizeBehaviour>
A specification of the resize behaviour used within layouts.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FILL_SPACE`
  Child elements should grow to fill the available space.
  `PRESERVE`
  The sizes of child elements should be preserved.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SyResizeBehaviour`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SyResizeBehaviour[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FILL_SPACE

    public static final SyResizeBehaviour FILL_SPACE
    Child elements should grow to fill the available space.

  - ### PRESERVE

    public static final SyResizeBehaviour PRESERVE
    The sizes of child elements should be preserved.

- ## Method Details

  - ### values

    public static SyResizeBehaviour[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SyResizeBehaviour valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null